/** Variables **/
:root {
  --blue: #0065FC;
  --light-blue: #DEEBFF;
  --grey: #F2F2F2;
  --dark-grey: grey;
  --main-font: 'Raleway', sans serif;
  --main-font-color: black;
  --padding-bottom: 1.5rem;
  --margin-x: 1rem;
  --hotel-image: 350px;
  --navbar-mobile-height: 7rem;
  --navbar-tablet-height: 6rem;
  --navbar-desktop-height: 5rem;
}

/** General **/
body {
  position: relative;
  margin: 0;
  font-family: var(--main-font);
}

p {
  margin: 0;
  line-height: 1.5rem;
}

span {
  font-weight: bold;
}

button {
  border: none;
  background-color: transparent;
  cursor: pointer;
}

h1 {
  font-size: 1.2rem;
  font-weight: bold;
}

.clickable-flex {
  text-decoration: none;
  color: inherit;
  display: flex;
}

@media only screen and (min-width: 768px) {
  .clickable-flex {
    display: initial;
  }
}

@media only screen and (min-width: 1024px) {
  .clickable-flex {
    display: flex;
  }
}

.clickable-flex:hover {
  color: inherit;
}

.clickable {
  text-decoration: none;
  color: inherit;
  display: block;
}

.clickable:hover {
  color: inherit;
}

/** Navbar **/
.navbar {
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  position: sticky;
  top: 0;
  background-color: white;
  height: var(--navbar-mobile-height);
  padding: 1rem;
  z-index: 1;
}

@media only screen and (min-width: 768px) {
  .navbar {
    flex-wrap: nowrap;
    height: var(--navbar-tablet-height);
  }
}

@media only screen and (min-width: 1024px) {
  .navbar {
    flex-wrap: nowrap;
    height: var(--navbar-desktop-height);
    padding: 1.5rem;
  }
}

.logo {
  display: inline-block;
  width: 50%;
}

@media only screen and (min-width: 768px) {
  .logo {
    width: initial;
    flex-grow: 1;
  }
}

.get-account {
  order: 1;
  font-size: 1rem;
  font-weight: bold;
  color: var(--blue);
  width: 50%;
  text-align: right;
}

@media only screen and (min-width: 768px) {
  .get-account {
    order: 2;
    width: 10rem;
    text-align: center;
    padding-top: 0.5rem;
  }
}

.menu {
  order: 2;
  display: flex;
  justify-content: space-around;
  width: 100%;
  margin: 0 -1rem 0 -1rem;
  padding-inline-start: 0;
}

@media only screen and (min-width: 768px) {
  .menu {
    order: 1;
    width: initial;
    display: block;
    margin: 0;
    padding: 0;
  }
}

.nav-item {
  list-style-type: none;
  width: 50%;
  text-align: center;
  padding-bottom: 0.5rem;
  border-bottom: solid var(--grey);
} 

.nav-item:hover {
  border-bottom: solid var(--blue);
}

@media only screen and (min-width: 768px) {
  .nav-item {
    border-bottom: none;
    border-top: solid transparent;
    width: 10rem;
    display: inline-block;
    padding-top: 0.5rem;
  }
}

@media only screen and (min-width: 768px) {
  .nav-item:hover {
    border-bottom: none;
    border-top: solid var(--blue);
  }
}

a {
  text-decoration: none;
  color: black;
}

a:hover {
  color: var(--blue);
}

/** Header **/
.header {
  scroll-margin-top: 5rem;
  padding: 0 1rem;
}

@media only screen and (min-width: 768px) {
  .header {
    display: flex;
    flex-direction: column;
    margin: 1.5rem 0;
  }
}

@media only screen and (min-width: 1024px) {
  .header {
    padding-left: 3rem;
  }
}

.header-title {
  padding-bottom: var(--padding-bottom);
}

/* Searchbar */
.searchbar-container {
  display:flex;
  justify-content: center;
  padding-bottom: var(--padding-bottom);
}

@media only screen and (min-width: 768px) {
  .searchbar-container {
    justify-content: left;
  }
}

.searchbar {
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid var(--grey);
  border-radius: 12px;
  width: 100%;
  height: 2.5rem;
}

@media only screen and (min-width: 768px) {
  .searchbar {
    max-width: 290px;
  }
}

.fa-map-marker-alt {
  text-align: center;
  background-color: var(--grey);
  border-radius: 5px 0 0 5px;
  width: 3.5rem;
  height: inherit;
  line-height: 1.75em;
}

.searchbar-input {
  border: none;
  font-family: var(--main-font);
  background-color: white;
  font-weight: bold;
  height: inherit;
  padding-inline-start: var(--padding-bottom);
  width: 100%;
  padding-top: 0;
  padding-bottom: 0;
}

::placeholder {
  color: var(--dark-grey);
}

.searchbar-button {
  border: none;
  border-radius: 10px;
  background-color: var(--blue);
  font-family: var(--main-font);
  font-weight: bold;
  color: white;
  height: inherit;
  width: 3.5rem;
}


@media only screen and (min-width:786px) {
  .searchbar-button {
    display: none;
  }
}

.searchbar-button1 {
  border: none;
  border-radius: 10px;
  background-color: var(--blue);
  font-family: var(--main-font);
  font-weight: bold;
  color: white;
  height: inherit;
  display: none;
}

@media only screen and (min-width: 786px) {
  .searchbar-button1 {
    display: block;
  }
}

.fa-search {
  text-align: center;
}

/* Filters */
.filters-container {
  padding-bottom: var(--padding-bottom);
  display: flex;
  flex-direction: column;
  align-items: baseline;
}

@media only screen and (min-width: 768px) {
  .filters-container {
    flex-direction: row;
  }
}

.filters-title {
  font-weight: bold;
  width: 100%;
  margin-bottom: 1rem;
}

@media only screen and (min-width: 768px) {
  .filters-title {
    width: auto;
    padding-right: 1rem;
  }
}

.filters-wrapper {
  display: flex;
  flex-wrap: wrap;
}

.filters-items {
  border: 2px solid var(--grey);
  border-radius: 100px;
  margin: 0 1rem 1rem 0;
  width: fit-content;
}

.filters-icons {
  color: var(--blue);
  border: 1px solid var(--light-blue);
  background-color: var(--light-blue);
  border-radius: 100px;
  padding: 0.7rem;
}

.filters-icons:hover {
  background-color: var(--blue);
  color: var(--light-blue);
}

.filters-text {
  padding-right: 0.5rem;
  font-weight: bold;
  font-size: 12px;
}

@media only screen and (min-width: 375px) {
  .filters-text {
    font-size: initial;
  } 
} 

 /* Info */
 .info-container {
  margin-bottom: var(--padding-bottom);
  display: flex;
  align-items: baseline;
}

.fa-info {
  font-size: 0.7rem;
  color: var(--blue);
  border: 1px solid var(--grey);
  border-radius: 100px;
  width: 16px;
  height: 16px;
  padding: 0.2rem;
  text-align: center;
  margin: 0.5rem;
} 

/** Accomodations Container **/
.accomodations {
  scroll-margin-top: var(--navbar-mobile-height);
  padding: 1rem;
}

@media only screen and (min-width: 768px) {
  .accomodations {
    scroll-margin-top: var(--navbar-tablet-height);
    padding: 1.5rem;
  }
}

@media only screen and (min-width: 1024px) {
  .accomodations {
    scroll-margin-top: calc(var(--navbar-desktop-height) + 2rem);
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-around;
    padding: 3rem;
  }
}

.hotel-name {
  font-weight: bold;
}

.hotels-description {
  padding: 0.5rem 0 0 0.5rem; 
}

.rating-stars {
  font-size: 0.8rem;
}

.fa-star {
  color: var(--grey);
}

.checked {
  color: var(--blue);
}

/* Top Hotels */
.fa-chart-line {
  margin-left: 1rem;
}

.top-hotels-container {
  display: flex;
  flex-wrap: wrap;
  background-color: var(--grey);
  padding: 0 1rem var(--padding-bottom) 1rem;
  margin: 0 -1rem;
  justify-content: center;
}

@media only screen and (min-width: 768px) {
  .top-hotels-container {
    display: block;
    width: 100%;
    padding: 1rem 1rem 0 1rem;
    border-radius: 15px;
  }
}

@media only screen and (min-width: 1024px) {
  .top-hotels-container {
    display: flex;
    flex-wrap: wrap;
    width: 25%;
    padding: 0 1.5rem 0 1.5rem;
    margin-left: 1rem;
  }
}

.top-hotels-wrapper {
  width: 100%;
}

@media only screen and (min-width: 768px) {
  .top-hotels-wrapper {
    display: flex;
    justify-content: space-evenly;
  }
}

@media only screen and (min-width: 1024px) {
  .top-hotels-wrapper {
    flex-direction: column;
    margin-right: 1rem;
  }
}

.top-hotels-box {
  display: flex;
  background-color: white;
  box-shadow: 1px 1px 10px var(--grey);
  margin-bottom: var(--padding-bottom);
  border-radius: 12px;
  padding: 0.3rem;
}

@media only screen and (min-width: 768px){
  .top-hotels-box {
    flex-direction: column;
    width: 30%;
  }
}

@media only screen and (min-width: 1024px){
  .top-hotels-box {
    flex-direction: row;
    width: 100%
  }

  .top-hotels-box:hover {
    transform:scale(1.03, 1.03)
  }
}

.top-hotel-price {
  font-size: 0.9rem;
  padding-bottom: 1.5rem;
}

@media only screen and (min-width: 768px) {
  .hotels-container {
    width: 100%;
    background-color: var(--grey);
    border-radius: 15px;
    padding: 1rem 1rem 0 1rem;
    margin-left: -1rem;
    margin-top: 1rem;
  }
}

@media only screen and (min-width: 1024px) {
  .hotels-container {
    width: 70%;
    padding: 0 1.5rem;
    margin-top: 0;
  }
}

@media only screen and (min-width: 768px) {
  .hotels-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
  }
}

.hotels-box {
  display: flex;
  flex-direction: column;
  box-shadow: 1px 1px 10px var(--grey);
  margin-bottom: var(--padding-bottom);
  border-radius: 12px;
  padding: 0.3rem;
}

@media only screen and (min-width: 768px) {
  .hotels-box {
    background-color: white;
    width: 30%;
  }
}

@media only screen and (min-width: 1024px) {
  .hotels-box {
    width: 30%;
  }

  .hotels-box:hover {
    transform:scale(1.03, 1.03);
  }
}

.hotel-price {
  font-size: 0.9rem;
}

.see-more {
  font-weight: bold;
  font-size: 1.1rem;
  padding: 0;
}

@media only screen and (min-width: 768px) {
  .see-more {
    padding-bottom: 1rem;
  }
}

/** Activities Container **/
.what-to-do {
  scroll-margin-top: calc(var(--navbar-mobile-height) + 1rem);
  padding: 1rem;
}

@media only screen and (min-width: 768px) {
  .what-to-do {
    scroll-margin-top: calc(var(--navbar-tablet-height) + 1rem);
  }
}

@media only screen and (min-width: 1024px) {
  .what-to-do {
    scroll-margin-top: calc(var(--navbar-desktop-height) + 3rem);
    padding: 0 3rem;
  }
}

.what-to-do-container {
  padding: 1rem;
}

@media only screen and (min-width: 768px) {
  .what-to-do-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
}

@media only screen and (min-width: 1024px) {
  .what-to-do-container {
    padding: 0 3rem;
  }
}

@media only screen and (min-width: 768px) {
  .desktop-full-height, .desktop-half-height {
    width: 50%;
  }
}

@media only screen and (min-width: 1024px) {
  .desktop-full-height {
    width: 25%;
  }
}

@media only screen and (min-width: 1024px) {
  .desktop-half-height {
    width: 25%;
  }
}

.what-to-do-box {
  border-radius: 12px;
  margin-bottom: var(--padding-bottom);
  box-shadow: 1px 1px 10px var(--grey);
}

@media only screen and (min-width: 768px) {
  .what-to-do-box {
    margin-right: 1.5rem;
  }
}

@media only screen and (min-width: 1024px) {
  .what-to-do-box:hover {
    transform: scale(1.03, 1.03);
  }
}

.what-to-do-title {
  padding-left: var(--padding-bottom);
  font-size: inherit;
  padding-bottom: 1rem;
}

/** Box Images **/
.top-hotel1 {
  background-image: url(../resources/images/hebergements/4_small/emile-guillemot-Bj_rcSC5XfE-unsplash.jpg);
  background-position: center;
  background-size: cover;
  width: 125px;
  border-radius: 12px 0 0 12px;
  position: relative;
}

@media only screen and (min-width: 768px){
  .top-hotel1 {
    height: 100px;
    width: 100%;
    border-radius: 12px 12px 0 0;
  }
}

@media only screen and (min-width: 1024px){
  .top-hotel1 {
    width: 125px;
    height: 100%;
    border-radius: 12px 0 0 12px;
  }
}

.top-hotel2 {
  background-image: url(../resources/images/hebergements/4_small/aw-creative-VGs8z60yT2c-unsplash.jpg);
  background-position: center;
  background-size: cover;
  width: 125px;
  border-radius: 12px 0 0 12px;
}

@media only screen and (min-width: 768px){
  .top-hotel2{
    height: 100px;
    width: 100%;
    border-radius: 12px 12px 0 0;
  }
}

@media only screen and (min-width: 1024px){
  .top-hotel2{
    width: 125px;
    height: 100%;
    border-radius: 12px 0 0 12px;
  }
}

.top-hotel3 {
  background-image: url(../resources/images/hebergements/4_small/febrian-zakaria-sjvU0THccQA-unsplash.jpg);
  background-position: center;
  background-size: cover;
  width: 125px;
  border-radius: 12px 0 0 12px;
}

@media only screen and (min-width: 768px){
  .top-hotel3 {
    height: 100px;
    width: 100%;
    border-radius: 12px 12px 0 0;
  }
}

@media only screen and (min-width: 1024px){
  .top-hotel3 {
    width: 125px;
    height: 100%;
    border-radius: 12px 0 0 12px;
  }
}

.hotel1 {
  background-image: url(../resources/images/hebergements/4_small/marcus-loke-WQJvWU_HZFo-unsplash.jpg);
  background-position: center;
  background-size: cover;
  width: 100%;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .hotel1 {
    max-width: var(--hotel-image);
  }
}

.hotel2 {
  background-image: url(../resources/images/hebergements/4_small/fred-kleber-gTbaxaVLvsg-unsplash.jpg);
  background-position: center;
  background-size: cover;
  width: 100%;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .hotel2 {
    max-width: var(--hotel-image);
  }
}

.hotel3 {
  background-image: url(../resources/images/hebergements/4_small/reisetopia-B8WIgxA_PFU-unsplash.jpg);
  background-position: center;
  background-size: cover;
  width: 100%;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .hotel3 {
    max-width: var(--hotel-image);
  }
}

.hotel4 {
  background-image: url(../resources/images/hebergements/4_small/annie-spratt-Eg1qcIitAuA-unsplash.jpg);
  background-position: center;
  background-size: cover;
  width: 100%;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .hotel4 {
    max-width: var(--hotel-image);
  }
}

.hotel5 {
  background-image: url(../resources/images/hebergements/4_small/nicate-lee-kT-ZyaiwBe0-unsplash.jpg);
  background-position: center;
  background-size: cover;
  width: 100%;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .hotel5 {
    max-width: var(--hotel-image);
  }
}

.hotel6 {
  background-image: url(../resources/images/hebergements/4_small/febrian-zakaria-M6S1WvfW68A-unsplash.jpg);
  background-position: center;
  background-size: cover;
  width: 100%;
  height: 105px;
  border-radius: 12px 12px 0 0;
}
@media only screen and (min-width: 768px) {
  .hotel6 {
    max-width: var(--hotel-image);
  }
}

.what-to-do-image1 {
  background-image: url(../resources/images/activites/4_small/reno-laithienne-QUgJhdY5Fyk-unsplash.jpg);
  background-size: cover;
  background-position: center;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .what-to-do-image1 {
    height: 25rem;
  }
}

.what-to-do-image2 {
  background-image: url(../resources/images/activites/4_small/paul-hermann-QFTrLdQIRhI-unsplash.jpg);
  background-size: cover;
  background-position: center;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .what-to-do-image2 {
    height: 10rem;
  }
}

.what-to-do-image3 {
  background-image: url(../resources/images/activites/4_small/kevin-hikari-rV_Qd1l-VXg-unsplash.jpg);
  background-size: cover;
  background-position: center;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .what-to-do-image3 {
    height: 10.2rem;
  }
}

.what-to-do-image4 {
  background-image: url(../resources/images/activites/4_small/kilyan-sockalingum-NR8-cBCN3aI-unsplash.jpg);
  background-size: cover;
  background-position: center;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .what-to-do-image4 {
    height: 25rem;
  }
}

.what-to-do-image5 {
  background-image: url(../resources/images/activites/4_small/florian-wehde-xW9e8gdotxI-unsplash.jpg);
  background-size: cover;
  background-position: center;
  height: 105px;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .what-to-do-image5 {
    height: 10.2rem;
  }
}

.what-to-do-image6 {
  background-image: url(../resources/images/activites/4_small/lena-paulin-wH2-EJoDcV0-unsplash.jpg);
  background-size: cover;
  background-position: center;
  height: 105px;
  width: 100%;
  border-radius: 12px 12px 0 0;
}

@media only screen and (min-width: 768px) {
  .what-to-do-image6 {
    height: 10rem;
  }
}

/** Footer **/
footer {
  background-color: var(--grey);
  padding: 1rem;
}

@media only screen and (min-width: 768px) {
  footer {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    padding-top: 0;
  }
}

@media only screen and (min-width: 1024px) {
  footer {
    margin: 0 -3rem;
    padding-left: 4rem;
  }
}

@media only screen and (min-width: 768px) {
  .footer-box {
    display: flex;
    flex-direction: column;
    width: 30%;
  }
}

.footer-items {
  list-style-type: none;
}

@media only screen and (min-width: 768px) {
  .footer-items {
    display: flex;
    flex-direction: column;
    margin: 2rem 0 0 0;
  }
}

.footer-subitems {
  display: flex;
  flex-direction: column;
  list-style-type: none;
  padding-inline-start: 0;
  line-height: 2rem;
}

